<?php
/**
* This file is a part of the module message developed by Yov for the Agora-Project Software package.
*
* @copyright (c) Agora-Project Limited <https://www.agora-project.net>
* @license GNU General Public License, version 2 (GPL-2.0)
*/

/*
 * Modele des utilisateurs
 */
class MdlMessageFile extends MdlObject
{
	//Propriétés de base
	const moduleName="message";
	const objectType="messageFile";
	const dbTable="ap_messagefile";
	const moduleDataDir = 'DATAS/modMessage/';
	
	/*
		* RECUPERE ET AFFICHE LES FICHIERS AVEC LE LIEN DE TELECHARGEMENT 
	*/
	public function getInfoFile()
	{
			$target=Req::Param("target");
			// INFOS EXPEDITEURS/DESTINATAIRES
			If(!empty($this->_id))
			{
				$IdFile=Db::getVal("SELECT `_idfilename` FROM ".MdlMessage::dbTable." WHERE `_id`=".$this->_id);
				$array_IdFiles=explode("@@",$IdFile);
				$cpt=0;
				$imgjoin='';
				foreach($array_IdFiles as $i)
				{
					if ($cpt>0)
					{
						$Infofile=Db::getVal("SELECT `realName` FROM ".MdlMessageFile::dbTable." WHERE `_id`=".$i."");
						$imgjoin_tmp="<a title='".Txt::trad('download')."' href=\"javascript:if(confirm('Telécharger le fichier ?')) redir('index.php?ctrl=message&targetfileId=".$i."&action=getFile&target=".$target."');\"><img src=\"app/img/message/joinfile.png\">".$Infofile."</a>";
						$imgjoin=$imgjoin.$imgjoin_tmp;
					}
					$cpt++;
				}
				return $imgjoin;
			}			
	}
	
	/*
		* COMPTE ET AFFICHE LE NOMBRE DE FICHIERS JOINTS
	*/
	public function getNbFile()
	{
			// INFOS EXPEDITEURS/DESTINATAIRES
			If(!empty($this->_id))
			{
				$IdFile=Db::getVal("SELECT `_idfilename` FROM ".MdlMessage::dbTable." WHERE `_id`=".$this->_id);
				$array_IdFiles=explode("@@",$IdFile);
				$cpt=0;
				foreach($array_IdFiles as $i) {$cpt++;}
				$nbfile=$cpt-1;
				return "<span class='CircleBlack sLink' title='".$nbfile." fichier(s) joint(s)'>".$nbfile."</span><img class='sLink' title='".$nbfile." fichier(s) joint(s)' src='app/img/message/joinfile.png'>";
			}			
	}	
}