<!--
/**
* This file is a part of the module message developed by Yov for the Agora-Project Software package.
*
* @copyright (c) Agora-Project Limited <https://www.agora-project.net>
* @license GNU General Public License, version 2 (GPL-2.0)
*/
-->

<script>
$(function(){
	////	Init l'affichage de l'arborescence de contacts
	$(".vMailsBlock").each(function(){
		var folderTreeLevel=$(this).attr("data-treeLevel");
		if(typeof folderTreeLevel!=="undefined" && folderTreeLevel>0)
			{$(this).css("padding-left",(folderTreeLevel*22)+"px");}
	});

	////	Affiche/masque les users d'un espace (sauf espace courant)
	$(".vMailsLabel").click(function(){
		$("#mailsContainer"+$(this).attr("data-targetObjId")).slideToggle();
	});

	////	Fixe la hauteur de l'diteur et Prselectionne le titre du mail
	$("[name='object']").focus();
	
	////	Dplace si besoin le menu des destinataires  cot du menu des "options" (ne pas utiliser "isMobile()" car ne doit pas etre activ sur tablettes en mode paysage)
	if(document.body.clientWidth<=1023){
		$("#recipiententMainMenu>*").appendTo("#recipiententRespMenu");
		$("#recipiententRespMenu").show();
	}
});

////    On contrle le formulaire
function formControl()
{
	//Slection d'une personne, d'un titre et d'un message
	if($("[name='personList[]']:checked").length==0 && $("[name='groupList[]']:checked").length==0)	{notify("<?= Txt::trad("MAIL_specifyMail") ?>");	return false;}
	else if($("[name='object']").isEmpty())															{notify("<?= Txt::trad("requiredFields")." : ".Txt::trad("title") ?>");	 return false;}
	else if(isEmptyEditor("description"))															{notify("<?= Txt::trad("requiredFields")." : ".Txt::trad("description") ?>");	 return false;}
	else {$("#formValidate").val(1);return true;}
}

////    On contrle le formulaire
function formControlDraft()
{
	var confirmDraft="<?= Txt::trad("MESSAGE_confirmDraft1") ?>\n<?= Txt::trad("MESSAGE_confirmDraft2") ?>";
		if(confirm(confirmDraft))
		{
			//Slection d'un titre et d'un message
			if ($("[name='object']").isEmpty())																{notify("<?= Txt::trad("requiredFields")." : ".Txt::trad("title") ?>");	 return false;}
			else if(isEmptyEditor("description"))															{notify("<?= Txt::trad("requiredFields")." : ".Txt::trad("description") ?>");	 return false;}
			else {$("#draft").val(1);return true;}
		}
		else
		{
			return false;
		}
}
</script>

<style>
/*Menu de gauche*/
#pageModuleMenu					{width:300px;}/*surcharge*/
#recipientLabel					{text-align:center; margin-top:5px;}
#recipientLabel hr				{margin:5px;}/*surcharge*/
#recipientLabel img				{height:20px;}
.vMailsBlock					{margin:20px 0px 0px 10px;}
.vMailsBlock img				{max-width:22px;}
.vMailsMenu						{padding-left:18px!important; display:none;}
.vMailsMenu.vMailsMenuDisplay	{display:block;}
.vMailsMenu>div					{padding:3px;}
.vMailsMenu img					{max-width:18px;}
/*formulaire principal*/
#mailContainer					{padding:10px;}
#mailContainer [name='object']	{width:100%; margin-bottom:10px;}
#mailOptions					{display:table; width:100%; margin-top:20px;}
#mailOptions>div				{display:table-cell;}
#mailOptions>div:last-child		{text-align:right;}
#mailOptions>div>div			{margin:7px;}
#mailOptions [id^='files']:not([id='files1'])	{display:none;}
.buttonspace					{margin-right:40px;}/*surcharge*/

/*RESPONSIVE*/
@media screen and (max-width:1023px){
	#mobileRecipients, #mailOptions	{margin-top:30px; border:1px solid #ccc; border-radius:3px;}
	#mailOptions, #mailOptions>div	{display:inline-block;}
}

</style>

<form id='messageinabottle' action="index.php?ctrl=message&action=messageSend" method="POST" onsubmit="" enctype="multipart/form-data">
<div id="pageCenter">
	<div id="pageModuleMenu">
		<div id="pageModMenu" class="miscContainer">
			<div id="recipientMainMenu">
				<div id="recipientLabel"><img src="app/img/mail.png"> <?= Txt::trad("MAIL_recipients") ?> :<hr></div>
				<?php
				////	LISTE DES DESTINATAIRES : USERS DE L'AGORA / DU MODULE CONTACT
				foreach($containerList as $tmpContainer)
				{
					//// INIT
					$cptPerson=0;
					$tmpGroupsFields=$tmpPersonsFields=$tmpSwitchOption=null;
					$mailsMenuClass=($tmpContainer->_typeId==Ctrl::$curSpace->_typeId)  ?  "vMailsMenuDisplay"  :  null;//par dfaut, on n'affiche que les users de l'espace courant
					//// GROUPES D'USERS
					if($tmpContainer::objectType=="space"){
						foreach(MdlUserGroup::getGroups($tmpContainer) as $tmpGroup){
							$tmpBoxId=$tmpContainer->_typeId.$tmpGroup->_typeId;
							$tmpGroupsFields.="<div title=\"".Txt::tooltip($tmpGroup->usersLabel)."\"><input type='checkbox' name=\"groupList[]\" value=\"".$tmpGroup->_typeId."\" id=\"".$tmpBoxId."\"> <label for=\"".$tmpBoxId."\"><img src='app/img/user/accessGroup.png'> ".$tmpGroup->title."</label></div>";
						}
					}
					//// PERSONNES DU CONTENEUR
					foreach($tmpContainer->personList as $tmpPerson)
					{
						if (($tmpPerson->_id) != (Ctrl::$curUser->_id))
						{
							$tmpBoxId=$tmpContainer->_typeId.$tmpPerson->_typeId;
							$tmpPersonsFields.="<div title=\"".Txt::tooltip($tmpPerson->mail)."\"><input type='checkbox' name=\"personList[]\" value=\"".$tmpPerson->_typeId."\" id=\"".$tmpBoxId."\" ".$tmpPerson->mailChecked."> <label for=\"".$tmpBoxId."\">".$tmpPerson->getLabel()."</label></div>";
							$cptPerson++;
						}
					}
					//// BOUTON SWITCH LA SELECTION (5 pers. minimum)
					if(count($tmpContainer->personList)>=5)
						{$tmpSwitchOption="<div class='sLink' onclick=\"$('#mailsContainer".$tmpContainer->_typeId." input[name^=personList]').trigger('click');\"><img src='app/img/switch.png'> ".Txt::trad("selectSwitch")."</div>";}
										
					//// AFFICHE CHAQUE BLOCK D'USERS/CONTACTS
					echo "<div class='vMailsBlock' ".($tmpContainer::objectType=="contactFolder"?"data-treeLevel='".$tmpContainer->treeLevel."'":null).">
							<div class='vMailsLabel sLink' data-typeId=\"".$tmpContainer->_typeId."\">
								<div><img src=\"app/img/mail/".($tmpContainer::objectType=="space"?"user":"contact").".png\"></div>
								<div>".$tmpContainer->name." <img src='app/img/arrowBottom.png'></div>
							</div>
							<div class='vMailsMenu ".$mailsMenuClass."' id=\"mailsContainer".$tmpContainer->_typeId."\">".$tmpGroupsFields.$tmpPersonsFields.$tmpSwitchOption."</div>
						</div>";
				}
				?>
			</div>
		</div>
	</div>

	<div id="pageCenterContent">
		<div id="mailContainer" class="miscContainer">

			<!--Formulaire principal-->
			<input type="text" name="object" value="<?php if(!empty($curObj->object)&&(empty($forward))) {echo $curObj->object;} ?>" placeholder="<?= txt::trad("MESSAGE_object_title") ?>">
			
			<!--DESCRIPTION (EDITOR)-->
			<textarea name="description"><?php if(!empty($forward)){echo $forward;} if(!empty($curObj->description)&&(empty($forward))){echo $curObj->description;} ?></textarea>
			<?= CtrlObject::htmlEditor("description") ?>

			<!--RESPONSIVE : LISTE DES DESTINATAIRES-->
			<div id="mobileRecipients"></div>
			
			<!--OPTIONS DU MAIL-->
			<div id="mailOptions">
				<div>
						<div title="<?= Txt::trad("MESSAGE_hideRecipientsInfo") ?>">
							<input type="checkbox" name="hideRecipients" value="1" id="hideRecipients">
							<label for="hideRecipients"><?= Txt::trad("MESSAGE_hideRecipientsInfo") ?></label>
						</div>
				</div>
					
				<div title="<?= File::uploadMaxFilesize("info") ?>">
					<?php for($i=1; $i<=10; $i++){ ?><div id="files<?= $i ?>"><?= Txt::trad("MESSAGE_attachedFile") ?>  <input type="file" name="files<?= $i ?>" onChange="$('#files<?= $i+1 ?>').fadeIn();"></div><?php } ?>
				</div>
			</div>
			<hr>
			<div id="recipientLabel">
					<?php if(!empty($curObj->_idfilename)){?>
						<div title="Fichier(s) joint(s)">
							<input type="checkbox" name="joinfile" value="<?php echo $curObj->_idfilename; ?>" id="joinfile">
							<label for="joinfile">Joindre le(s) fichier(s) ?</label>
							<br/>
							<?php echo $joinfile; ?>
							<hr>
						</div>
						<?php } ?>
			</div>
			
			
			<input type="hidden" name="ObjId" value="<?php if(!empty($curObj->_id)&&(empty($forward))) {echo $curObj->_id;} ?>">
			<input type="hidden" name="draft" id="draft" value="">
			<input type="hidden" name="formValidate" id="formValidate" value="">
			
			<!--"SubmitButton"-->
			<div class="submitButtonMain">
			<?php if(empty($curObj->_id)) echo "<button onclick=\"return formControlDraft();\" class='buttonspace' type='submit'>".Txt::trad("MESSAGE_draft")."</button>"; ?>
			<button onclick='return formControl();' type='submit'><?php echo Txt::trad("send"); ?></button>
			</div>
		</div>
	</div>
</div>
</form>